<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["pompe.CuveID"] )) {
			$lookupTableLinks["cuve"]["pompe.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["pompe.CuveID"]["edit"] = array("table" => "pompe", "field" => "CuveID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["pompe.StationID"] )) {
			$lookupTableLinks["vue_station"]["pompe.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["pompe.StationID"]["edit"] = array("table" => "pompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["carburant"] ) ) {
			$lookupTableLinks["carburant"] = array();
		}
		if( !isset( $lookupTableLinks["carburant"]["pompe.CarburantID"] )) {
			$lookupTableLinks["carburant"]["pompe.CarburantID"] = array();
		}
		$lookupTableLinks["carburant"]["pompe.CarburantID"]["edit"] = array("table" => "pompe", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["cuve.StationID"] )) {
			$lookupTableLinks["vue_station"]["cuve.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["cuve.StationID"]["edit"] = array("table" => "cuve", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["carburant"] ) ) {
			$lookupTableLinks["carburant"] = array();
		}
		if( !isset( $lookupTableLinks["carburant"]["cuve.CarburantID"] )) {
			$lookupTableLinks["carburant"]["cuve.CarburantID"] = array();
		}
		$lookupTableLinks["carburant"]["cuve.CarburantID"]["edit"] = array("table" => "cuve", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["prixcarburant.StationID"] )) {
			$lookupTableLinks["station"]["prixcarburant.StationID"] = array();
		}
		$lookupTableLinks["station"]["prixcarburant.StationID"]["edit"] = array("table" => "prixcarburant", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["carburant"] ) ) {
			$lookupTableLinks["carburant"] = array();
		}
		if( !isset( $lookupTableLinks["carburant"]["prixcarburant.CarburantID"] )) {
			$lookupTableLinks["carburant"]["prixcarburant.CarburantID"] = array();
		}
		$lookupTableLinks["carburant"]["prixcarburant.CarburantID"]["edit"] = array("table" => "prixcarburant", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["profil"] ) ) {
			$lookupTableLinks["profil"] = array();
		}
		if( !isset( $lookupTableLinks["profil"]["utilisateur.ProfilID"] )) {
			$lookupTableLinks["profil"]["utilisateur.ProfilID"] = array();
		}
		$lookupTableLinks["profil"]["utilisateur.ProfilID"]["edit"] = array("table" => "utilisateur", "field" => "ProfilID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["utilisateur.StationID"] )) {
			$lookupTableLinks["station"]["utilisateur.StationID"] = array();
		}
		$lookupTableLinks["station"]["utilisateur.StationID"]["edit"] = array("table" => "utilisateur", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ventepompe.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["ventepompe.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ventepompe.RespSaisie"]["edit"] = array("table" => "ventepompe", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ventepompe.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["ventepompe.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ventepompe.RespModif"]["edit"] = array("table" => "ventepompe", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["prixcarburant"] ) ) {
			$lookupTableLinks["prixcarburant"] = array();
		}
		if( !isset( $lookupTableLinks["prixcarburant"]["ventepompe.CarburantID"] )) {
			$lookupTableLinks["prixcarburant"]["ventepompe.CarburantID"] = array();
		}
		$lookupTableLinks["prixcarburant"]["ventepompe.CarburantID"]["edit"] = array("table" => "ventepompe", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["ventepompe.StationID"] )) {
			$lookupTableLinks["station"]["ventepompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["ventepompe.StationID"]["edit"] = array("table" => "ventepompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["last_index_pompe"] ) ) {
			$lookupTableLinks["last_index_pompe"] = array();
		}
		if( !isset( $lookupTableLinks["last_index_pompe"]["ventepompe.PompeID"] )) {
			$lookupTableLinks["last_index_pompe"]["ventepompe.PompeID"] = array();
		}
		$lookupTableLinks["last_index_pompe"]["ventepompe.PompeID"]["edit"] = array("table" => "ventepompe", "field" => "PompeID", "page" => "edit");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["ventepompe.CuveID"] )) {
			$lookupTableLinks["cuve"]["ventepompe.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["ventepompe.CuveID"]["edit"] = array("table" => "ventepompe", "field" => "CuveID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["ventepompe.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["ventepompe.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["ventepompe.Pompiste"]["edit"] = array("table" => "ventepompe", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_profil"] ) ) {
			$lookupTableLinks["vue_profil"] = array();
		}
		if( !isset( $lookupTableLinks["vue_profil"]["vue_utilisateur.ProfilID"] )) {
			$lookupTableLinks["vue_profil"]["vue_utilisateur.ProfilID"] = array();
		}
		$lookupTableLinks["vue_profil"]["vue_utilisateur.ProfilID"]["edit"] = array("table" => "vue_utilisateur", "field" => "ProfilID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["vue_utilisateur.StationID"] )) {
			$lookupTableLinks["station"]["vue_utilisateur.StationID"] = array();
		}
		$lookupTableLinks["station"]["vue_utilisateur.StationID"]["edit"] = array("table" => "vue_utilisateur", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["commande"] ) ) {
			$lookupTableLinks["commande"] = array();
		}
		if( !isset( $lookupTableLinks["commande"]["lignecommande.CommandeID"] )) {
			$lookupTableLinks["commande"]["lignecommande.CommandeID"] = array();
		}
		$lookupTableLinks["commande"]["lignecommande.CommandeID"]["edit"] = array("table" => "lignecommande", "field" => "CommandeID", "page" => "edit");
		if( !isset( $lookupTableLinks["carburant"] ) ) {
			$lookupTableLinks["carburant"] = array();
		}
		if( !isset( $lookupTableLinks["carburant"]["lignecommande.CarburantID"] )) {
			$lookupTableLinks["carburant"]["lignecommande.CarburantID"] = array();
		}
		$lookupTableLinks["carburant"]["lignecommande.CarburantID"]["edit"] = array("table" => "lignecommande", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["lignecommande.StationID"] )) {
			$lookupTableLinks["station"]["lignecommande.StationID"] = array();
		}
		$lookupTableLinks["station"]["lignecommande.StationID"]["edit"] = array("table" => "lignecommande", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["carburant"] ) ) {
			$lookupTableLinks["carburant"] = array();
		}
		if( !isset( $lookupTableLinks["carburant"]["prixachat.CarburantID"] )) {
			$lookupTableLinks["carburant"]["prixachat.CarburantID"] = array();
		}
		$lookupTableLinks["carburant"]["prixachat.CarburantID"]["edit"] = array("table" => "prixachat", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["prixachat.StationID"] )) {
			$lookupTableLinks["vue_station"]["prixachat.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["prixachat.StationID"]["edit"] = array("table" => "prixachat", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["commande.StationID"] )) {
			$lookupTableLinks["station"]["commande.StationID"] = array();
		}
		$lookupTableLinks["station"]["commande.StationID"]["edit"] = array("table" => "commande", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["fournisseur"] ) ) {
			$lookupTableLinks["fournisseur"] = array();
		}
		if( !isset( $lookupTableLinks["fournisseur"]["commande.FournisseurID"] )) {
			$lookupTableLinks["fournisseur"]["commande.FournisseurID"] = array();
		}
		$lookupTableLinks["fournisseur"]["commande.FournisseurID"]["edit"] = array("table" => "commande", "field" => "FournisseurID", "page" => "edit");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["jaugecuve.CuveID"] )) {
			$lookupTableLinks["cuve"]["jaugecuve.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["jaugecuve.CuveID"]["edit"] = array("table" => "jaugecuve", "field" => "CuveID", "page" => "edit");
		if( !isset( $lookupTableLinks["quart"] ) ) {
			$lookupTableLinks["quart"] = array();
		}
		if( !isset( $lookupTableLinks["quart"]["jaugecuve.QuartiD"] )) {
			$lookupTableLinks["quart"]["jaugecuve.QuartiD"] = array();
		}
		$lookupTableLinks["quart"]["jaugecuve.QuartiD"]["edit"] = array("table" => "jaugecuve", "field" => "QuartiD", "page" => "edit");
		if( !isset( $lookupTableLinks["partenaire"] ) ) {
			$lookupTableLinks["partenaire"] = array();
		}
		if( !isset( $lookupTableLinks["partenaire"]["jaugecuve.PartenaireiD"] )) {
			$lookupTableLinks["partenaire"]["jaugecuve.PartenaireiD"] = array();
		}
		$lookupTableLinks["partenaire"]["jaugecuve.PartenaireiD"]["edit"] = array("table" => "jaugecuve", "field" => "PartenaireiD", "page" => "edit");
		if( !isset( $lookupTableLinks["carburant"] ) ) {
			$lookupTableLinks["carburant"] = array();
		}
		if( !isset( $lookupTableLinks["carburant"]["jaugecuve.CarburantID"] )) {
			$lookupTableLinks["carburant"]["jaugecuve.CarburantID"] = array();
		}
		$lookupTableLinks["carburant"]["jaugecuve.CarburantID"]["edit"] = array("table" => "jaugecuve", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["jaugecuve.StationID"] )) {
			$lookupTableLinks["vue_station"]["jaugecuve.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["jaugecuve.StationID"]["edit"] = array("table" => "jaugecuve", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["req_test.CuveID"] )) {
			$lookupTableLinks["cuve"]["req_test.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["req_test.CuveID"]["edit"] = array("table" => "req_test", "field" => "CuveID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["req_test.StationID"] )) {
			$lookupTableLinks["station"]["req_test.StationID"] = array();
		}
		$lookupTableLinks["station"]["req_test.StationID"]["edit"] = array("table" => "req_test", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_commande"] ) ) {
			$lookupTableLinks["vue_commande"] = array();
		}
		if( !isset( $lookupTableLinks["vue_commande"]["livraisoncommande.CommandeID"] )) {
			$lookupTableLinks["vue_commande"]["livraisoncommande.CommandeID"] = array();
		}
		$lookupTableLinks["vue_commande"]["livraisoncommande.CommandeID"]["edit"] = array("table" => "livraisoncommande", "field" => "CommandeID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["vue_commande.StationID"] )) {
			$lookupTableLinks["station"]["vue_commande.StationID"] = array();
		}
		$lookupTableLinks["station"]["vue_commande.StationID"]["edit"] = array("table" => "vue_commande", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["last_index_pompe.StationID"] )) {
			$lookupTableLinks["station"]["last_index_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["last_index_pompe.StationID"]["edit"] = array("table" => "last_index_pompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["prixcarburant"] ) ) {
			$lookupTableLinks["prixcarburant"] = array();
		}
		if( !isset( $lookupTableLinks["prixcarburant"]["last_index_pompe.CarburantID"] )) {
			$lookupTableLinks["prixcarburant"]["last_index_pompe.CarburantID"] = array();
		}
		$lookupTableLinks["prixcarburant"]["last_index_pompe.CarburantID"]["edit"] = array("table" => "last_index_pompe", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["personnel.FonctionID"] )) {
			$lookupTableLinks["fonction"]["personnel.FonctionID"] = array();
		}
		$lookupTableLinks["fonction"]["personnel.FonctionID"]["edit"] = array("table" => "personnel", "field" => "FonctionID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["personnel.StationID"] )) {
			$lookupTableLinks["station"]["personnel.StationID"] = array();
		}
		$lookupTableLinks["station"]["personnel.StationID"]["edit"] = array("table" => "personnel", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["etat_stock_cuve.CuveID"] )) {
			$lookupTableLinks["cuve"]["etat_stock_cuve.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["etat_stock_cuve.CuveID"]["search"] = array("table" => "etat_stock_cuve", "field" => "CuveID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["etat_stock_cuve.StationID"] )) {
			$lookupTableLinks["station"]["etat_stock_cuve.StationID"] = array();
		}
		$lookupTableLinks["station"]["etat_stock_cuve.StationID"]["search"] = array("table" => "etat_stock_cuve", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["caisse.StationID"] )) {
			$lookupTableLinks["vue_station"]["caisse.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["caisse.StationID"]["edit"] = array("table" => "caisse", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["caisse.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["caisse.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["caisse.PersonnelID"]["edit"] = array("table" => "caisse", "field" => "PersonnelID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["recette_journaliere.StationID"] )) {
			$lookupTableLinks["vue_station"]["recette_journaliere.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["recette_journaliere.StationID"]["edit"] = array("table" => "recette_journaliere", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["typemouvement"] ) ) {
			$lookupTableLinks["typemouvement"] = array();
		}
		if( !isset( $lookupTableLinks["typemouvement"]["mouvement_caisse.TypeCaisse"] )) {
			$lookupTableLinks["typemouvement"]["mouvement_caisse.TypeCaisse"] = array();
		}
		$lookupTableLinks["typemouvement"]["mouvement_caisse.TypeCaisse"]["edit"] = array("table" => "mouvement_caisse", "field" => "TypeCaisse", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["mouvement_caisse.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["mouvement_caisse.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["mouvement_caisse.Pompiste"]["edit"] = array("table" => "mouvement_caisse", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["mouvement_caisse.StationID"] )) {
			$lookupTableLinks["vue_station"]["mouvement_caisse.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["mouvement_caisse.StationID"]["edit"] = array("table" => "mouvement_caisse", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["mouvement_caisse.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["mouvement_caisse.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["mouvement_caisse.PersonnelID"]["edit"] = array("table" => "mouvement_caisse", "field" => "PersonnelID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["bank_out.StationID"] )) {
			$lookupTableLinks["vue_station"]["bank_out.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["bank_out.StationID"]["edit"] = array("table" => "bank_out", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["ormoney_out.StationID"] )) {
			$lookupTableLinks["vue_station"]["ormoney_out.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["ormoney_out.StationID"]["edit"] = array("table" => "ormoney_out", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["salaire_personnel.StationID"] )) {
			$lookupTableLinks["vue_station"]["salaire_personnel.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["salaire_personnel.StationID"]["edit"] = array("table" => "salaire_personnel", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["salaire_personnel.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["salaire_personnel.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["salaire_personnel.PersonnelID"]["edit"] = array("table" => "salaire_personnel", "field" => "PersonnelID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["gest_ormoney_out.StationID"] )) {
			$lookupTableLinks["vue_station"]["gest_ormoney_out.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["gest_ormoney_out.StationID"]["edit"] = array("table" => "gest_ormoney_out", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["index_pompe.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["index_pompe.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["index_pompe.RespSaisie"]["edit"] = array("table" => "index_pompe", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["index_pompe.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["index_pompe.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["index_pompe.RespModif"]["edit"] = array("table" => "index_pompe", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["prixcarburant"] ) ) {
			$lookupTableLinks["prixcarburant"] = array();
		}
		if( !isset( $lookupTableLinks["prixcarburant"]["index_pompe.CarburantID"] )) {
			$lookupTableLinks["prixcarburant"]["index_pompe.CarburantID"] = array();
		}
		$lookupTableLinks["prixcarburant"]["index_pompe.CarburantID"]["edit"] = array("table" => "index_pompe", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["index_pompe.StationID"] )) {
			$lookupTableLinks["station"]["index_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["index_pompe.StationID"]["edit"] = array("table" => "index_pompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["last_index_pompe"] ) ) {
			$lookupTableLinks["last_index_pompe"] = array();
		}
		if( !isset( $lookupTableLinks["last_index_pompe"]["index_pompe.PompeID"] )) {
			$lookupTableLinks["last_index_pompe"]["index_pompe.PompeID"] = array();
		}
		$lookupTableLinks["last_index_pompe"]["index_pompe.PompeID"]["edit"] = array("table" => "index_pompe", "field" => "PompeID", "page" => "edit");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["index_pompe.CuveID"] )) {
			$lookupTableLinks["cuve"]["index_pompe.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["index_pompe.CuveID"]["edit"] = array("table" => "index_pompe", "field" => "CuveID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["index_pompe.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["index_pompe.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["index_pompe.Pompiste"]["edit"] = array("table" => "index_pompe", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["transactions.StationID"] )) {
			$lookupTableLinks["vue_station"]["transactions.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["transactions.StationID"]["edit"] = array("table" => "transactions", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["typemouvement"] ) ) {
			$lookupTableLinks["typemouvement"] = array();
		}
		if( !isset( $lookupTableLinks["typemouvement"]["transactions.TypeCaisse"] )) {
			$lookupTableLinks["typemouvement"]["transactions.TypeCaisse"] = array();
		}
		$lookupTableLinks["typemouvement"]["transactions.TypeCaisse"]["edit"] = array("table" => "transactions", "field" => "TypeCaisse", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["transactions.Pompiste"] )) {
			$lookupTableLinks["vue_personnel"]["transactions.Pompiste"] = array();
		}
		$lookupTableLinks["vue_personnel"]["transactions.Pompiste"]["edit"] = array("table" => "transactions", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["transactions.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["transactions.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["transactions.PersonnelID"]["edit"] = array("table" => "transactions", "field" => "PersonnelID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_banque.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_banque.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_banque.StationID"]["search"] = array("table" => "suivi_banque", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_tpe.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_tpe.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_tpe.StationID"]["search"] = array("table" => "suivi_tpe", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_ormoney.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_ormoney.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_ormoney.StationID"]["search"] = array("table" => "suivi_ormoney", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_creance.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_creance.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_creance.StationID"]["search"] = array("table" => "suivi_creance", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_caisse.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_caisse.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_caisse.StationID"]["search"] = array("table" => "suivi_caisse", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["prixcarburant"] ) ) {
			$lookupTableLinks["prixcarburant"] = array();
		}
		if( !isset( $lookupTableLinks["prixcarburant"]["etat_vente_pompe.CarburantID"] )) {
			$lookupTableLinks["prixcarburant"]["etat_vente_pompe.CarburantID"] = array();
		}
		$lookupTableLinks["prixcarburant"]["etat_vente_pompe.CarburantID"]["search"] = array("table" => "etat_vente_pompe", "field" => "CarburantID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["etat_vente_pompe.StationID"] )) {
			$lookupTableLinks["station"]["etat_vente_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["etat_vente_pompe.StationID"]["search"] = array("table" => "etat_vente_pompe", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["last_index_pompe"] ) ) {
			$lookupTableLinks["last_index_pompe"] = array();
		}
		if( !isset( $lookupTableLinks["last_index_pompe"]["etat_vente_pompe.PompeID"] )) {
			$lookupTableLinks["last_index_pompe"]["etat_vente_pompe.PompeID"] = array();
		}
		$lookupTableLinks["last_index_pompe"]["etat_vente_pompe.PompeID"]["search"] = array("table" => "etat_vente_pompe", "field" => "PompeID", "page" => "search");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["etat_vente_pompe.CuveID"] )) {
			$lookupTableLinks["cuve"]["etat_vente_pompe.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["etat_vente_pompe.CuveID"]["search"] = array("table" => "etat_vente_pompe", "field" => "CuveID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_vente_jour.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_vente_jour.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_vente_jour.StationID"]["search"] = array("table" => "suivi_vente_jour", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["prixcarburant"] ) ) {
			$lookupTableLinks["prixcarburant"] = array();
		}
		if( !isset( $lookupTableLinks["prixcarburant"]["etat_vente_pompe_gest.CarburantID"] )) {
			$lookupTableLinks["prixcarburant"]["etat_vente_pompe_gest.CarburantID"] = array();
		}
		$lookupTableLinks["prixcarburant"]["etat_vente_pompe_gest.CarburantID"]["search"] = array("table" => "etat_vente_pompe_gest", "field" => "CarburantID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["etat_vente_pompe_gest.StationID"] )) {
			$lookupTableLinks["station"]["etat_vente_pompe_gest.StationID"] = array();
		}
		$lookupTableLinks["station"]["etat_vente_pompe_gest.StationID"]["search"] = array("table" => "etat_vente_pompe_gest", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["last_index_pompe"] ) ) {
			$lookupTableLinks["last_index_pompe"] = array();
		}
		if( !isset( $lookupTableLinks["last_index_pompe"]["etat_vente_pompe_gest.PompeID"] )) {
			$lookupTableLinks["last_index_pompe"]["etat_vente_pompe_gest.PompeID"] = array();
		}
		$lookupTableLinks["last_index_pompe"]["etat_vente_pompe_gest.PompeID"]["search"] = array("table" => "etat_vente_pompe_gest", "field" => "PompeID", "page" => "search");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["etat_vente_pompe_gest.CuveID"] )) {
			$lookupTableLinks["cuve"]["etat_vente_pompe_gest.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["etat_vente_pompe_gest.CuveID"]["search"] = array("table" => "etat_vente_pompe_gest", "field" => "CuveID", "page" => "search");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["hisconnex.IDUtilisateur"] )) {
			$lookupTableLinks["utilisateur"]["hisconnex.IDUtilisateur"] = array();
		}
		$lookupTableLinks["utilisateur"]["hisconnex.IDUtilisateur"]["edit"] = array("table" => "hisconnex", "field" => "IDUtilisateur", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["personnel_sorti.FonctionID"] )) {
			$lookupTableLinks["fonction"]["personnel_sorti.FonctionID"] = array();
		}
		$lookupTableLinks["fonction"]["personnel_sorti.FonctionID"]["edit"] = array("table" => "personnel_sorti", "field" => "FonctionID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["personnel_sorti.StationID"] )) {
			$lookupTableLinks["station"]["personnel_sorti.StationID"] = array();
		}
		$lookupTableLinks["station"]["personnel_sorti.StationID"]["edit"] = array("table" => "personnel_sorti", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_depenses.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_depenses.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_depenses.StationID"]["search"] = array("table" => "suivi_depenses", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["suivi_depenses.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["suivi_depenses.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["suivi_depenses.PersonnelID"]["search"] = array("table" => "suivi_depenses", "field" => "PersonnelID", "page" => "search");
		if( !isset( $lookupTableLinks["naturetransaction"] ) ) {
			$lookupTableLinks["naturetransaction"] = array();
		}
		if( !isset( $lookupTableLinks["naturetransaction"]["suivi_depenses.NatureTransactionID"] )) {
			$lookupTableLinks["naturetransaction"]["suivi_depenses.NatureTransactionID"] = array();
		}
		$lookupTableLinks["naturetransaction"]["suivi_depenses.NatureTransactionID"]["search"] = array("table" => "suivi_depenses", "field" => "NatureTransactionID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["les_transactions.StationID"] )) {
			$lookupTableLinks["vue_station"]["les_transactions.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["les_transactions.StationID"]["edit"] = array("table" => "les_transactions", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["typemouvement"] ) ) {
			$lookupTableLinks["typemouvement"] = array();
		}
		if( !isset( $lookupTableLinks["typemouvement"]["les_transactions.TypeCaisse"] )) {
			$lookupTableLinks["typemouvement"]["les_transactions.TypeCaisse"] = array();
		}
		$lookupTableLinks["typemouvement"]["les_transactions.TypeCaisse"]["edit"] = array("table" => "les_transactions", "field" => "TypeCaisse", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["les_transactions.Pompiste"] )) {
			$lookupTableLinks["vue_personnel"]["les_transactions.Pompiste"] = array();
		}
		$lookupTableLinks["vue_personnel"]["les_transactions.Pompiste"]["edit"] = array("table" => "les_transactions", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["les_transactions.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["les_transactions.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["les_transactions.PersonnelID"]["edit"] = array("table" => "les_transactions", "field" => "PersonnelID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["suivi_vente_par_jour_gerant.StationID"] )) {
			$lookupTableLinks["vue_station"]["suivi_vente_par_jour_gerant.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["suivi_vente_par_jour_gerant.StationID"]["search"] = array("table" => "suivi_vente_par_jour_gerant", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["article.FamilleID"] )) {
			$lookupTableLinks["famille"]["article.FamilleID"] = array();
		}
		$lookupTableLinks["famille"]["article.FamilleID"]["edit"] = array("table" => "article", "field" => "FamilleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["article.StationID"] )) {
			$lookupTableLinks["vue_station"]["article.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["article.StationID"]["edit"] = array("table" => "article", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["article_produit.FamilleID"] )) {
			$lookupTableLinks["famille"]["article_produit.FamilleID"] = array();
		}
		$lookupTableLinks["famille"]["article_produit.FamilleID"]["edit"] = array("table" => "article_produit", "field" => "FamilleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["article_produit.StationID"] )) {
			$lookupTableLinks["vue_station"]["article_produit.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["article_produit.StationID"]["edit"] = array("table" => "article_produit", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["article_service.FamilleID"] )) {
			$lookupTableLinks["famille"]["article_service.FamilleID"] = array();
		}
		$lookupTableLinks["famille"]["article_service.FamilleID"]["edit"] = array("table" => "article_service", "field" => "FamilleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["article_service.StationID"] )) {
			$lookupTableLinks["vue_station"]["article_service.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["article_service.StationID"]["edit"] = array("table" => "article_service", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["stocks.StationID"] )) {
			$lookupTableLinks["station"]["stocks.StationID"] = array();
		}
		$lookupTableLinks["station"]["stocks.StationID"]["edit"] = array("table" => "stocks", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["stocks.RespCreation"] )) {
			$lookupTableLinks["vue_utilisateur"]["stocks.RespCreation"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["stocks.RespCreation"]["edit"] = array("table" => "stocks", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["stocks.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["stocks.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["stocks.RespModif"]["edit"] = array("table" => "stocks", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["article_all.FamilleID"] )) {
			$lookupTableLinks["famille"]["article_all.FamilleID"] = array();
		}
		$lookupTableLinks["famille"]["article_all.FamilleID"]["edit"] = array("table" => "article_all", "field" => "FamilleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["article_all.StationID"] )) {
			$lookupTableLinks["vue_station"]["article_all.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["article_all.StationID"]["edit"] = array("table" => "article_all", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["article_all.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["article_all.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["article_all.RespSaisie"]["edit"] = array("table" => "article_all", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["article_all"] ) ) {
			$lookupTableLinks["article_all"] = array();
		}
		if( !isset( $lookupTableLinks["article_all"]["report_stocks.ArticleID"] )) {
			$lookupTableLinks["article_all"]["report_stocks.ArticleID"] = array();
		}
		$lookupTableLinks["article_all"]["report_stocks.ArticleID"]["search"] = array("table" => "Report_stocks", "field" => "ArticleID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["report_stocks.StationID"] )) {
			$lookupTableLinks["station"]["report_stocks.StationID"] = array();
		}
		$lookupTableLinks["station"]["report_stocks.StationID"]["search"] = array("table" => "Report_stocks", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_client"] ) ) {
			$lookupTableLinks["vue_client"] = array();
		}
		if( !isset( $lookupTableLinks["vue_client"]["ventearticle.ClientID"] )) {
			$lookupTableLinks["vue_client"]["ventearticle.ClientID"] = array();
		}
		$lookupTableLinks["vue_client"]["ventearticle.ClientID"]["edit"] = array("table" => "ventearticle", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["ventearticle.StationID"] )) {
			$lookupTableLinks["station"]["ventearticle.StationID"] = array();
		}
		$lookupTableLinks["station"]["ventearticle.StationID"]["edit"] = array("table" => "ventearticle", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ventearticle.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["ventearticle.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ventearticle.RespSaisie"]["edit"] = array("table" => "ventearticle", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ventearticle.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["ventearticle.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ventearticle.RespModif"]["edit"] = array("table" => "ventearticle", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["article"] ) ) {
			$lookupTableLinks["article"] = array();
		}
		if( !isset( $lookupTableLinks["article"]["ligne_vente.ArticleID"] )) {
			$lookupTableLinks["article"]["ligne_vente.ArticleID"] = array();
		}
		$lookupTableLinks["article"]["ligne_vente.ArticleID"]["edit"] = array("table" => "ligne_vente", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["vue_client.StationID"] )) {
			$lookupTableLinks["vue_station"]["vue_client.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["vue_client.StationID"]["edit"] = array("table" => "vue_client", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_client"] ) ) {
			$lookupTableLinks["vue_client"] = array();
		}
		if( !isset( $lookupTableLinks["vue_client"]["venteservice.ClientID"] )) {
			$lookupTableLinks["vue_client"]["venteservice.ClientID"] = array();
		}
		$lookupTableLinks["vue_client"]["venteservice.ClientID"]["edit"] = array("table" => "venteservice", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["venteservice.StationID"] )) {
			$lookupTableLinks["station"]["venteservice.StationID"] = array();
		}
		$lookupTableLinks["station"]["venteservice.StationID"]["edit"] = array("table" => "venteservice", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["venteservice.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["venteservice.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["venteservice.RespSaisie"]["edit"] = array("table" => "venteservice", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["venteservice.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["venteservice.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["venteservice.RespModif"]["edit"] = array("table" => "venteservice", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["choix_article_service"] ) ) {
			$lookupTableLinks["choix_article_service"] = array();
		}
		if( !isset( $lookupTableLinks["choix_article_service"]["ligneventeservice.ArticleID"] )) {
			$lookupTableLinks["choix_article_service"]["ligneventeservice.ArticleID"] = array();
		}
		$lookupTableLinks["choix_article_service"]["ligneventeservice.ArticleID"]["edit"] = array("table" => "ligneventeservice", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["ligneventeservice.StationID"] )) {
			$lookupTableLinks["station"]["ligneventeservice.StationID"] = array();
		}
		$lookupTableLinks["station"]["ligneventeservice.StationID"]["edit"] = array("table" => "ligneventeservice", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["client.StationID"] )) {
			$lookupTableLinks["vue_station"]["client.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["client.StationID"]["edit"] = array("table" => "client", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_fournisseur"] ) ) {
			$lookupTableLinks["vue_fournisseur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_fournisseur"]["achat.FournisseurID"] )) {
			$lookupTableLinks["vue_fournisseur"]["achat.FournisseurID"] = array();
		}
		$lookupTableLinks["vue_fournisseur"]["achat.FournisseurID"]["edit"] = array("table" => "achat", "field" => "FournisseurID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["achat.StationID"] )) {
			$lookupTableLinks["vue_station"]["achat.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["achat.StationID"]["edit"] = array("table" => "achat", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["achat.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["achat.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["achat.RespSaisie"]["edit"] = array("table" => "achat", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["achat.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["achat.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["achat.RespModif"]["edit"] = array("table" => "achat", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["choix_article_service.FamilleID"] )) {
			$lookupTableLinks["famille"]["choix_article_service.FamilleID"] = array();
		}
		$lookupTableLinks["famille"]["choix_article_service.FamilleID"]["edit"] = array("table" => "choix_article_service", "field" => "FamilleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["choix_article_service.StationID"] )) {
			$lookupTableLinks["vue_station"]["choix_article_service.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["choix_article_service.StationID"]["edit"] = array("table" => "choix_article_service", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["choix_article_produit.FamilleID"] )) {
			$lookupTableLinks["famille"]["choix_article_produit.FamilleID"] = array();
		}
		$lookupTableLinks["famille"]["choix_article_produit.FamilleID"]["edit"] = array("table" => "choix_article_produit", "field" => "FamilleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["choix_article_produit.StationID"] )) {
			$lookupTableLinks["vue_station"]["choix_article_produit.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["choix_article_produit.StationID"]["edit"] = array("table" => "choix_article_produit", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["article_all"] ) ) {
			$lookupTableLinks["article_all"] = array();
		}
		if( !isset( $lookupTableLinks["article_all"]["mouvement_stock.ArticleID"] )) {
			$lookupTableLinks["article_all"]["mouvement_stock.ArticleID"] = array();
		}
		$lookupTableLinks["article_all"]["mouvement_stock.ArticleID"]["edit"] = array("table" => "mouvement_stock", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["mouvement_stock.StationID"] )) {
			$lookupTableLinks["vue_station"]["mouvement_stock.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["mouvement_stock.StationID"]["edit"] = array("table" => "mouvement_stock", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["fournisseur.StationID"] )) {
			$lookupTableLinks["station"]["fournisseur.StationID"] = array();
		}
		$lookupTableLinks["station"]["fournisseur.StationID"]["edit"] = array("table" => "fournisseur", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["choix_article_produit"] ) ) {
			$lookupTableLinks["choix_article_produit"] = array();
		}
		if( !isset( $lookupTableLinks["choix_article_produit"]["ligne_achat.ArticleID"] )) {
			$lookupTableLinks["choix_article_produit"]["ligne_achat.ArticleID"] = array();
		}
		$lookupTableLinks["choix_article_produit"]["ligne_achat.ArticleID"]["edit"] = array("table" => "ligne_achat", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["ligne_achat.StationID"] )) {
			$lookupTableLinks["vue_station"]["ligne_achat.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["ligne_achat.StationID"]["edit"] = array("table" => "ligne_achat", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_choix"] ) ) {
			$lookupTableLinks["codebarre_choix"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_choix"]["ligne_achat.CodeBarreID"] )) {
			$lookupTableLinks["codebarre_choix"]["ligne_achat.CodeBarreID"] = array();
		}
		$lookupTableLinks["codebarre_choix"]["ligne_achat.CodeBarreID"]["edit"] = array("table" => "ligne_achat", "field" => "CodeBarreID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ligne_achat.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["ligne_achat.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ligne_achat.RespSaisie"]["edit"] = array("table" => "ligne_achat", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ligne_achat.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["ligne_achat.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ligne_achat.RespModif"]["edit"] = array("table" => "ligne_achat", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["caisse_carburant.StationID"] )) {
			$lookupTableLinks["vue_station"]["caisse_carburant.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["caisse_carburant.StationID"]["edit"] = array("table" => "Caisse_carburant", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["typemouvement"] ) ) {
			$lookupTableLinks["typemouvement"] = array();
		}
		if( !isset( $lookupTableLinks["typemouvement"]["caisse_carburant.TypeCaisse"] )) {
			$lookupTableLinks["typemouvement"]["caisse_carburant.TypeCaisse"] = array();
		}
		$lookupTableLinks["typemouvement"]["caisse_carburant.TypeCaisse"]["edit"] = array("table" => "Caisse_carburant", "field" => "TypeCaisse", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["caisse_carburant.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["caisse_carburant.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["caisse_carburant.Pompiste"]["edit"] = array("table" => "Caisse_carburant", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["caisse_depenses.StationID"] )) {
			$lookupTableLinks["vue_station"]["caisse_depenses.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["caisse_depenses.StationID"]["edit"] = array("table" => "caisse_depenses", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["typemouvement"] ) ) {
			$lookupTableLinks["typemouvement"] = array();
		}
		if( !isset( $lookupTableLinks["typemouvement"]["caisse_depenses.TypeCaisse"] )) {
			$lookupTableLinks["typemouvement"]["caisse_depenses.TypeCaisse"] = array();
		}
		$lookupTableLinks["typemouvement"]["caisse_depenses.TypeCaisse"]["edit"] = array("table" => "caisse_depenses", "field" => "TypeCaisse", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_personnel"] ) ) {
			$lookupTableLinks["vue_personnel"] = array();
		}
		if( !isset( $lookupTableLinks["vue_personnel"]["caisse_depenses.PersonnelID"] )) {
			$lookupTableLinks["vue_personnel"]["caisse_depenses.PersonnelID"] = array();
		}
		$lookupTableLinks["vue_personnel"]["caisse_depenses.PersonnelID"]["edit"] = array("table" => "caisse_depenses", "field" => "PersonnelID", "page" => "edit");
		if( !isset( $lookupTableLinks["naturetransaction"] ) ) {
			$lookupTableLinks["naturetransaction"] = array();
		}
		if( !isset( $lookupTableLinks["naturetransaction"]["caisse_depenses.NatureTransactionID"] )) {
			$lookupTableLinks["naturetransaction"]["caisse_depenses.NatureTransactionID"] = array();
		}
		$lookupTableLinks["naturetransaction"]["caisse_depenses.NatureTransactionID"]["edit"] = array("table" => "caisse_depenses", "field" => "NatureTransactionID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_client"] ) ) {
			$lookupTableLinks["vue_client"] = array();
		}
		if( !isset( $lookupTableLinks["vue_client"]["ventelubrifiants.ClientID"] )) {
			$lookupTableLinks["vue_client"]["ventelubrifiants.ClientID"] = array();
		}
		$lookupTableLinks["vue_client"]["ventelubrifiants.ClientID"]["edit"] = array("table" => "ventelubrifiants", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["ventelubrifiants.StationID"] )) {
			$lookupTableLinks["station"]["ventelubrifiants.StationID"] = array();
		}
		$lookupTableLinks["station"]["ventelubrifiants.StationID"]["edit"] = array("table" => "ventelubrifiants", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ventelubrifiants.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["ventelubrifiants.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ventelubrifiants.RespSaisie"]["edit"] = array("table" => "ventelubrifiants", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["ventelubrifiants.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["ventelubrifiants.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["ventelubrifiants.RespModif"]["edit"] = array("table" => "ventelubrifiants", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["quart"] ) ) {
			$lookupTableLinks["quart"] = array();
		}
		if( !isset( $lookupTableLinks["quart"]["ventelubrifiants.QuartiD"] )) {
			$lookupTableLinks["quart"]["ventelubrifiants.QuartiD"] = array();
		}
		$lookupTableLinks["quart"]["ventelubrifiants.QuartiD"]["edit"] = array("table" => "ventelubrifiants", "field" => "QuartiD", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["ventelubrifiants.PompisteVendeur"] )) {
			$lookupTableLinks["pompistes"]["ventelubrifiants.PompisteVendeur"] = array();
		}
		$lookupTableLinks["pompistes"]["ventelubrifiants.PompisteVendeur"]["edit"] = array("table" => "ventelubrifiants", "field" => "PompisteVendeur", "page" => "edit");
		if( !isset( $lookupTableLinks["choix_article_produit"] ) ) {
			$lookupTableLinks["choix_article_produit"] = array();
		}
		if( !isset( $lookupTableLinks["choix_article_produit"]["ligneventelubrifiant.ArticleID"] )) {
			$lookupTableLinks["choix_article_produit"]["ligneventelubrifiant.ArticleID"] = array();
		}
		$lookupTableLinks["choix_article_produit"]["ligneventelubrifiant.ArticleID"]["edit"] = array("table" => "ligneventelubrifiant", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_choix"] ) ) {
			$lookupTableLinks["codebarre_choix"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_choix"]["ligneventelubrifiant.CodeBarreID"] )) {
			$lookupTableLinks["codebarre_choix"]["ligneventelubrifiant.CodeBarreID"] = array();
		}
		$lookupTableLinks["codebarre_choix"]["ligneventelubrifiant.CodeBarreID"]["edit"] = array("table" => "ligneventelubrifiant", "field" => "CodeBarreID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["bank_in_versement.StationID"] )) {
			$lookupTableLinks["vue_station"]["bank_in_versement.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["bank_in_versement.StationID"]["edit"] = array("table" => "bank_in_versement", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["bank_apport_perso.StationID"] )) {
			$lookupTableLinks["vue_station"]["bank_apport_perso.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["bank_apport_perso.StationID"]["edit"] = array("table" => "bank_apport_perso", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["ormoney_in.StationID"] )) {
			$lookupTableLinks["vue_station"]["ormoney_in.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["ormoney_in.StationID"]["edit"] = array("table" => "ormoney_in", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["article_all"] ) ) {
			$lookupTableLinks["article_all"] = array();
		}
		if( !isset( $lookupTableLinks["article_all"]["maj_stock.ArticleID"] )) {
			$lookupTableLinks["article_all"]["maj_stock.ArticleID"] = array();
		}
		$lookupTableLinks["article_all"]["maj_stock.ArticleID"]["edit"] = array("table" => "maj_stock", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["maj_stock.StationID"] )) {
			$lookupTableLinks["vue_station"]["maj_stock.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["maj_stock.StationID"]["edit"] = array("table" => "maj_stock", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["maj_stock.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["maj_stock.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["maj_stock.RespModif"]["edit"] = array("table" => "maj_stock", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["maj_stock.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["maj_stock.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["maj_stock.RespSaisie"]["edit"] = array("table" => "maj_stock", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["historisation.RespAction"] )) {
			$lookupTableLinks["vue_utilisateur"]["historisation.RespAction"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["historisation.RespAction"]["edit"] = array("table" => "historisation", "field" => "RespAction", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["req_testcaisse.StationID"] )) {
			$lookupTableLinks["vue_station"]["req_testcaisse.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["req_testcaisse.StationID"]["edit"] = array("table" => "req_testcaisse", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompe"] ) ) {
			$lookupTableLinks["pompe"] = array();
		}
		if( !isset( $lookupTableLinks["pompe"]["vente_par_pompe.Pompe"] )) {
			$lookupTableLinks["pompe"]["vente_par_pompe.Pompe"] = array();
		}
		$lookupTableLinks["pompe"]["vente_par_pompe.Pompe"]["search"] = array("table" => "vente_par_pompe", "field" => "Pompe", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["vente_par_pompe.StationID"] )) {
			$lookupTableLinks["station"]["vente_par_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["vente_par_pompe.StationID"]["search"] = array("table" => "vente_par_pompe", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["controle_stock_carburant.CuveID"] )) {
			$lookupTableLinks["cuve"]["controle_stock_carburant.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["controle_stock_carburant.CuveID"]["search"] = array("table" => "controle_stock_carburant", "field" => "CuveID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["controle_stock_carburant.StationID"] )) {
			$lookupTableLinks["vue_station"]["controle_stock_carburant.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["controle_stock_carburant.StationID"]["search"] = array("table" => "controle_stock_carburant", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["quart"] ) ) {
			$lookupTableLinks["quart"] = array();
		}
		if( !isset( $lookupTableLinks["quart"]["controle_stock_carburant.QuartiD"] )) {
			$lookupTableLinks["quart"]["controle_stock_carburant.QuartiD"] = array();
		}
		$lookupTableLinks["quart"]["controle_stock_carburant.QuartiD"]["search"] = array("table" => "controle_stock_carburant", "field" => "QuartiD", "page" => "search");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["tdb_controle_stock.CuveID"] )) {
			$lookupTableLinks["cuve"]["tdb_controle_stock.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["tdb_controle_stock.CuveID"]["search"] = array("table" => "tdb_controle_stock", "field" => "CuveID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["tdb_controle_stock.StationID"] )) {
			$lookupTableLinks["vue_station"]["tdb_controle_stock.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["tdb_controle_stock.StationID"]["search"] = array("table" => "tdb_controle_stock", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["pompe"] ) ) {
			$lookupTableLinks["pompe"] = array();
		}
		if( !isset( $lookupTableLinks["pompe"]["tdb_vente_par_pompe.Pompe"] )) {
			$lookupTableLinks["pompe"]["tdb_vente_par_pompe.Pompe"] = array();
		}
		$lookupTableLinks["pompe"]["tdb_vente_par_pompe.Pompe"]["search"] = array("table" => "tdb_vente_par_pompe", "field" => "Pompe", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["tdb_vente_par_pompe.StationID"] )) {
			$lookupTableLinks["station"]["tdb_vente_par_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["tdb_vente_par_pompe.StationID"]["search"] = array("table" => "tdb_vente_par_pompe", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["ecart_pompiste.StationID"] )) {
			$lookupTableLinks["vue_station"]["ecart_pompiste.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["ecart_pompiste.StationID"]["search"] = array("table" => "ecart_pompiste", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["ecart_pompiste.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["ecart_pompiste.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["ecart_pompiste.Pompiste"]["search"] = array("table" => "ecart_pompiste", "field" => "Pompiste", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["tpe_in.StationID"] )) {
			$lookupTableLinks["vue_station"]["tpe_in.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["tpe_in.StationID"]["edit"] = array("table" => "tpe_in", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["creance.ClientID"] )) {
			$lookupTableLinks["client"]["creance.ClientID"] = array();
		}
		$lookupTableLinks["client"]["creance.ClientID"]["edit"] = array("table" => "creance", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["creance.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["creance.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["creance.RespSaisie"]["edit"] = array("table" => "creance", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["creance.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["creance.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["creance.RespModif"]["edit"] = array("table" => "creance", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["creance.RespSuppress"] )) {
			$lookupTableLinks["utilisateur"]["creance.RespSuppress"] = array();
		}
		$lookupTableLinks["utilisateur"]["creance.RespSuppress"]["edit"] = array("table" => "creance", "field" => "RespSuppress", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["creance.StationID"] )) {
			$lookupTableLinks["station"]["creance.StationID"] = array();
		}
		$lookupTableLinks["station"]["creance.StationID"]["edit"] = array("table" => "creance", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["gestion_creances.StationID"] )) {
			$lookupTableLinks["station"]["gestion_creances.StationID"] = array();
		}
		$lookupTableLinks["station"]["gestion_creances.StationID"]["edit"] = array("table" => "gestion_creances", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["gestion_creances.ClientID"] )) {
			$lookupTableLinks["client"]["gestion_creances.ClientID"] = array();
		}
		$lookupTableLinks["client"]["gestion_creances.ClientID"]["edit"] = array("table" => "gestion_creances", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["gestion_creances.PompistePerte"] )) {
			$lookupTableLinks["pompistes"]["gestion_creances.PompistePerte"] = array();
		}
		$lookupTableLinks["pompistes"]["gestion_creances.PompistePerte"]["edit"] = array("table" => "gestion_creances", "field" => "PompistePerte", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["gestion_creances.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["gestion_creances.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["gestion_creances.RespSaisie"]["edit"] = array("table" => "gestion_creances", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["gestion_creances.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["gestion_creances.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["gestion_creances.RespModif"]["edit"] = array("table" => "gestion_creances", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["gestion_creances.RespSuppress"] )) {
			$lookupTableLinks["utilisateur"]["gestion_creances.RespSuppress"] = array();
		}
		$lookupTableLinks["utilisateur"]["gestion_creances.RespSuppress"]["edit"] = array("table" => "gestion_creances", "field" => "RespSuppress", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["gestion_creances.PompisteVente"] )) {
			$lookupTableLinks["pompistes"]["gestion_creances.PompisteVente"] = array();
		}
		$lookupTableLinks["pompistes"]["gestion_creances.PompisteVente"]["edit"] = array("table" => "gestion_creances", "field" => "PompisteVente", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["credit_in.StationID"] )) {
			$lookupTableLinks["vue_station"]["credit_in.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["credit_in.StationID"]["edit"] = array("table" => "credit_in", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["creance_clients.StationID"] )) {
			$lookupTableLinks["vue_station"]["creance_clients.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["creance_clients.StationID"]["search"] = array("table" => "creance_clients", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["creance_clients.ClientID"] )) {
			$lookupTableLinks["client"]["creance_clients.ClientID"] = array();
		}
		$lookupTableLinks["client"]["creance_clients.ClientID"]["search"] = array("table" => "creance_clients", "field" => "ClientID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["vivo_credit.StationID"] )) {
			$lookupTableLinks["vue_station"]["vivo_credit.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["vivo_credit.StationID"]["edit"] = array("table" => "vivo_credit", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["vivo_debit.StationID"] )) {
			$lookupTableLinks["vue_station"]["vivo_debit.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["vivo_debit.StationID"]["edit"] = array("table" => "vivo_debit", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["vente_lubrifiant.StationID"] )) {
			$lookupTableLinks["vue_station"]["vente_lubrifiant.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["vente_lubrifiant.StationID"]["search"] = array("table" => "vente_lubrifiant", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["article_produit"] ) ) {
			$lookupTableLinks["article_produit"] = array();
		}
		if( !isset( $lookupTableLinks["article_produit"]["vente_lubrifiant.ArticleID"] )) {
			$lookupTableLinks["article_produit"]["vente_lubrifiant.ArticleID"] = array();
		}
		$lookupTableLinks["article_produit"]["vente_lubrifiant.ArticleID"]["search"] = array("table" => "vente_lubrifiant", "field" => "ArticleID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["les_soldes_report.StationID"] )) {
			$lookupTableLinks["station"]["les_soldes_report.StationID"] = array();
		}
		$lookupTableLinks["station"]["les_soldes_report.StationID"]["search"] = array("table" => "les_soldes_report", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["compte_frs.StationID"] )) {
			$lookupTableLinks["station"]["compte_frs.StationID"] = array();
		}
		$lookupTableLinks["station"]["compte_frs.StationID"]["edit"] = array("table" => "compte_frs", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["le_compte_frs.StationID"] )) {
			$lookupTableLinks["station"]["le_compte_frs.StationID"] = array();
		}
		$lookupTableLinks["station"]["le_compte_frs.StationID"]["search"] = array("table" => "le_compte_frs", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["frs_autre_achat.StationID"] )) {
			$lookupTableLinks["station"]["frs_autre_achat.StationID"] = array();
		}
		$lookupTableLinks["station"]["frs_autre_achat.StationID"]["edit"] = array("table" => "frs_autre_achat", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["frs_autre_regt.StationID"] )) {
			$lookupTableLinks["station"]["frs_autre_regt.StationID"] = array();
		}
		$lookupTableLinks["station"]["frs_autre_regt.StationID"]["edit"] = array("table" => "frs_autre_regt", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompe"] ) ) {
			$lookupTableLinks["pompe"] = array();
		}
		if( !isset( $lookupTableLinks["pompe"]["mois_vente_par_pompe.Pompe"] )) {
			$lookupTableLinks["pompe"]["mois_vente_par_pompe.Pompe"] = array();
		}
		$lookupTableLinks["pompe"]["mois_vente_par_pompe.Pompe"]["search"] = array("table" => "mois_vente_par_pompe", "field" => "Pompe", "page" => "search");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["mois_vente_par_pompe.StationID"] )) {
			$lookupTableLinks["station"]["mois_vente_par_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["mois_vente_par_pompe.StationID"]["search"] = array("table" => "mois_vente_par_pompe", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["mois_ecart_carburant.CuveID"] )) {
			$lookupTableLinks["cuve"]["mois_ecart_carburant.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["mois_ecart_carburant.CuveID"]["search"] = array("table" => "mois_ecart_carburant", "field" => "CuveID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["mois_ecart_carburant.StationID"] )) {
			$lookupTableLinks["vue_station"]["mois_ecart_carburant.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["mois_ecart_carburant.StationID"]["search"] = array("table" => "mois_ecart_carburant", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["Select_mois"] ) ) {
			$lookupTableLinks["Select_mois"] = array();
		}
		if( !isset( $lookupTableLinks["Select_mois"]["mois_tdb.MoisLettre"] )) {
			$lookupTableLinks["Select_mois"]["mois_tdb.MoisLettre"] = array();
		}
		$lookupTableLinks["Select_mois"]["mois_tdb.MoisLettre"]["edit"] = array("table" => "mois_tdb", "field" => "MoisLettre", "page" => "edit");
		if( !isset( $lookupTableLinks["Select_mois"] ) ) {
			$lookupTableLinks["Select_mois"] = array();
		}
		if( !isset( $lookupTableLinks["Select_mois"]["mois_tdb_gerant.MoisLettre"] )) {
			$lookupTableLinks["Select_mois"]["mois_tdb_gerant.MoisLettre"] = array();
		}
		$lookupTableLinks["Select_mois"]["mois_tdb_gerant.MoisLettre"]["edit"] = array("table" => "mois_tdb_gerant", "field" => "MoisLettre", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["valorisation_stock.StationID"] )) {
			$lookupTableLinks["vue_station"]["valorisation_stock.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["valorisation_stock.StationID"]["edit"] = array("table" => "valorisation_stock", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["article_all"] ) ) {
			$lookupTableLinks["article_all"] = array();
		}
		if( !isset( $lookupTableLinks["article_all"]["valorisation_stock.ArticleID"] )) {
			$lookupTableLinks["article_all"]["valorisation_stock.ArticleID"] = array();
		}
		$lookupTableLinks["article_all"]["valorisation_stock.ArticleID"]["edit"] = array("table" => "valorisation_stock", "field" => "ArticleID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["valeur_stock.StationID"] )) {
			$lookupTableLinks["vue_station"]["valeur_stock.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["valeur_stock.StationID"]["search"] = array("table" => "valeur_stock", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["article_all"] ) ) {
			$lookupTableLinks["article_all"] = array();
		}
		if( !isset( $lookupTableLinks["article_all"]["valeur_stock.ArticleID"] )) {
			$lookupTableLinks["article_all"]["valeur_stock.ArticleID"] = array();
		}
		$lookupTableLinks["article_all"]["valeur_stock.ArticleID"]["search"] = array("table" => "valeur_stock", "field" => "ArticleID", "page" => "search");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["vente_lubrifiant_gaz.StationID"] )) {
			$lookupTableLinks["vue_station"]["vente_lubrifiant_gaz.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["vente_lubrifiant_gaz.StationID"]["search"] = array("table" => "vente_lubrifiant_gaz", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["article_produit"] ) ) {
			$lookupTableLinks["article_produit"] = array();
		}
		if( !isset( $lookupTableLinks["article_produit"]["vente_lubrifiant_gaz.ArticleID"] )) {
			$lookupTableLinks["article_produit"]["vente_lubrifiant_gaz.ArticleID"] = array();
		}
		$lookupTableLinks["article_produit"]["vente_lubrifiant_gaz.ArticleID"]["search"] = array("table" => "vente_lubrifiant_gaz", "field" => "ArticleID", "page" => "search");
		if( !isset( $lookupTableLinks["annee_exo"] ) ) {
			$lookupTableLinks["annee_exo"] = array();
		}
		if( !isset( $lookupTableLinks["annee_exo"]["exo_select.AnneeExoiD"] )) {
			$lookupTableLinks["annee_exo"]["exo_select.AnneeExoiD"] = array();
		}
		$lookupTableLinks["annee_exo"]["exo_select.AnneeExoiD"]["edit"] = array("table" => "exo_select", "field" => "AnneeExoiD", "page" => "edit");
		if( !isset( $lookupTableLinks["annee_exo"] ) ) {
			$lookupTableLinks["annee_exo"] = array();
		}
		if( !isset( $lookupTableLinks["annee_exo"]["exo_change.AnneeExoiD"] )) {
			$lookupTableLinks["annee_exo"]["exo_change.AnneeExoiD"] = array();
		}
		$lookupTableLinks["annee_exo"]["exo_change.AnneeExoiD"]["edit"] = array("table" => "exo_change", "field" => "AnneeExoiD", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["bilan.StationID"] )) {
			$lookupTableLinks["vue_station"]["bilan.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["bilan.StationID"]["search"] = array("table" => "bilan", "field" => "StationID", "page" => "search");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["relevepompe.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["relevepompe.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["relevepompe.Pompiste"]["edit"] = array("table" => "relevepompe", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["relevepompe.StationID"] )) {
			$lookupTableLinks["station"]["relevepompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["relevepompe.StationID"]["edit"] = array("table" => "relevepompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["quart"] ) ) {
			$lookupTableLinks["quart"] = array();
		}
		if( !isset( $lookupTableLinks["quart"]["relevepompe.QuartiD"] )) {
			$lookupTableLinks["quart"]["relevepompe.QuartiD"] = array();
		}
		$lookupTableLinks["quart"]["relevepompe.QuartiD"]["edit"] = array("table" => "relevepompe", "field" => "QuartiD", "page" => "edit");
		if( !isset( $lookupTableLinks["pompe"] ) ) {
			$lookupTableLinks["pompe"] = array();
		}
		if( !isset( $lookupTableLinks["pompe"]["relevepompe.PompeID"] )) {
			$lookupTableLinks["pompe"]["relevepompe.PompeID"] = array();
		}
		$lookupTableLinks["pompe"]["relevepompe.PompeID"]["edit"] = array("table" => "relevepompe", "field" => "PompeID", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["db_index_pompe.RespSaisie"] )) {
			$lookupTableLinks["vue_utilisateur"]["db_index_pompe.RespSaisie"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["db_index_pompe.RespSaisie"]["edit"] = array("table" => "db_index_pompe", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["db_index_pompe.RespModif"] )) {
			$lookupTableLinks["vue_utilisateur"]["db_index_pompe.RespModif"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["db_index_pompe.RespModif"]["edit"] = array("table" => "db_index_pompe", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["prixcarburant"] ) ) {
			$lookupTableLinks["prixcarburant"] = array();
		}
		if( !isset( $lookupTableLinks["prixcarburant"]["db_index_pompe.CarburantID"] )) {
			$lookupTableLinks["prixcarburant"]["db_index_pompe.CarburantID"] = array();
		}
		$lookupTableLinks["prixcarburant"]["db_index_pompe.CarburantID"]["edit"] = array("table" => "db_index_pompe", "field" => "CarburantID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["db_index_pompe.StationID"] )) {
			$lookupTableLinks["station"]["db_index_pompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["db_index_pompe.StationID"]["edit"] = array("table" => "db_index_pompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["last_index_pompe"] ) ) {
			$lookupTableLinks["last_index_pompe"] = array();
		}
		if( !isset( $lookupTableLinks["last_index_pompe"]["db_index_pompe.PompeID"] )) {
			$lookupTableLinks["last_index_pompe"]["db_index_pompe.PompeID"] = array();
		}
		$lookupTableLinks["last_index_pompe"]["db_index_pompe.PompeID"]["edit"] = array("table" => "db_index_pompe", "field" => "PompeID", "page" => "edit");
		if( !isset( $lookupTableLinks["cuve"] ) ) {
			$lookupTableLinks["cuve"] = array();
		}
		if( !isset( $lookupTableLinks["cuve"]["db_index_pompe.CuveID"] )) {
			$lookupTableLinks["cuve"]["db_index_pompe.CuveID"] = array();
		}
		$lookupTableLinks["cuve"]["db_index_pompe.CuveID"]["edit"] = array("table" => "db_index_pompe", "field" => "CuveID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["db_index_pompe.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["db_index_pompe.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["db_index_pompe.Pompiste"]["edit"] = array("table" => "db_index_pompe", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["db_relevepompe.Pompiste"] )) {
			$lookupTableLinks["pompistes"]["db_relevepompe.Pompiste"] = array();
		}
		$lookupTableLinks["pompistes"]["db_relevepompe.Pompiste"]["edit"] = array("table" => "db_relevepompe", "field" => "Pompiste", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["db_relevepompe.StationID"] )) {
			$lookupTableLinks["station"]["db_relevepompe.StationID"] = array();
		}
		$lookupTableLinks["station"]["db_relevepompe.StationID"]["edit"] = array("table" => "db_relevepompe", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["quart"] ) ) {
			$lookupTableLinks["quart"] = array();
		}
		if( !isset( $lookupTableLinks["quart"]["db_relevepompe.QuartiD"] )) {
			$lookupTableLinks["quart"]["db_relevepompe.QuartiD"] = array();
		}
		$lookupTableLinks["quart"]["db_relevepompe.QuartiD"]["edit"] = array("table" => "db_relevepompe", "field" => "QuartiD", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["partenaire.StationID"] )) {
			$lookupTableLinks["vue_station"]["partenaire.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["partenaire.StationID"]["edit"] = array("table" => "partenaire", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["select_station.iDStation"] )) {
			$lookupTableLinks["station"]["select_station.iDStation"] = array();
		}
		$lookupTableLinks["station"]["select_station.iDStation"]["edit"] = array("table" => "select_station", "field" => "iDStation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["bouteillegaz.RespMaj"] )) {
			$lookupTableLinks["utilisateur"]["bouteillegaz.RespMaj"] = array();
		}
		$lookupTableLinks["utilisateur"]["bouteillegaz.RespMaj"]["edit"] = array("table" => "bouteillegaz", "field" => "RespMaj", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_station"] ) ) {
			$lookupTableLinks["vue_station"] = array();
		}
		if( !isset( $lookupTableLinks["vue_station"]["bouteillegaz.StationID"] )) {
			$lookupTableLinks["vue_station"]["bouteillegaz.StationID"] = array();
		}
		$lookupTableLinks["vue_station"]["bouteillegaz.StationID"]["edit"] = array("table" => "bouteillegaz", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["rapport_creance.ClientID"] )) {
			$lookupTableLinks["client"]["rapport_creance.ClientID"] = array();
		}
		$lookupTableLinks["client"]["rapport_creance.ClientID"]["edit"] = array("table" => "rapport_creance", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["rapport_creance.StationID"] )) {
			$lookupTableLinks["station"]["rapport_creance.StationID"] = array();
		}
		$lookupTableLinks["station"]["rapport_creance.StationID"]["edit"] = array("table" => "rapport_creance", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["rapport_creanceclient.ClientID"] )) {
			$lookupTableLinks["client"]["rapport_creanceclient.ClientID"] = array();
		}
		$lookupTableLinks["client"]["rapport_creanceclient.ClientID"]["edit"] = array("table" => "rapport_creanceclient", "field" => "ClientID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["rapport_creanceclient.StationID"] )) {
			$lookupTableLinks["station"]["rapport_creanceclient.StationID"] = array();
		}
		$lookupTableLinks["station"]["rapport_creanceclient.StationID"]["edit"] = array("table" => "rapport_creanceclient", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["pompistes"] ) ) {
			$lookupTableLinks["pompistes"] = array();
		}
		if( !isset( $lookupTableLinks["pompistes"]["rapport_creancepompiste.PompisteID"] )) {
			$lookupTableLinks["pompistes"]["rapport_creancepompiste.PompisteID"] = array();
		}
		$lookupTableLinks["pompistes"]["rapport_creancepompiste.PompisteID"]["edit"] = array("table" => "rapport_creancepompiste", "field" => "PompisteID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["rapport_creancepompiste.StationID"] )) {
			$lookupTableLinks["station"]["rapport_creancepompiste.StationID"] = array();
		}
		$lookupTableLinks["station"]["rapport_creancepompiste.StationID"]["edit"] = array("table" => "rapport_creancepompiste", "field" => "StationID", "page" => "edit");
		if( !isset( $lookupTableLinks["station"] ) ) {
			$lookupTableLinks["station"] = array();
		}
		if( !isset( $lookupTableLinks["station"]["select_station_change.iDStation"] )) {
			$lookupTableLinks["station"]["select_station_change.iDStation"] = array();
		}
		$lookupTableLinks["station"]["select_station_change.iDStation"]["edit"] = array("table" => "select_station_change", "field" => "iDStation", "page" => "edit");
}

?>